//# sourceURL=widgets/RoomStatus.js
/**
 * $Id: RoomStatus.js 303 2018-11-25 22:41:49Z patrick $
 */

import Widget from '../Widget.js';
import Group from "/client/Group.js";
import * as util from '/client/util.js';

var RoomStatus = function( elem ) {
	Widget.call( this, elem );
	this.name = "RoomStatus";
	this.entity_id = this.getData( 'select', "" );
	this.roomTitle = this.getData( 'title' );
	this.showSystem = this.getDataBool( 'showsystem', true );

	$(this.elem).addClass("widget-roomstatus");
};

RoomStatus.prototype = Object.create(Widget.prototype);
RoomStatus.prototype.constructor = RoomStatus;

RoomStatus.prototype.pre_update = function() {
	var entities = [];
	if ( this.entity && this.entity instanceof Group ) {
		entities = this.entity.listMembers();
	}

	var devices = [];

	var selected = {};
	entities.forEach( function( eid ) {
		var e = SlapDash.findEntity( eid );
		if ( e ) {
			selected[e.getName()] = e;
		}
	});
	var keys = util.sortByKey( selected );
	var nk = keys.length;
	for (var ix=0; ix<nk; ++ix) {
		var e = selected[keys[ix]];
		if ( e.getType() === "Script" ) continue;
		try {
			if ( e.getPrimaryValue() ) {
				var stat = e.getName();
				if ( e.hasCapability( "dimming" ) ) {
					stat += " (" + e.getAttribute("dimming.level") + "%)";
				}
				devices.push( stat );
			}
		} catch( ex ) {
			util.debug(9, "Can't convert state for", String(e), "to boolean, skipping.", String(ex));
		}
	}
	if ( devices.length === 0 ) {
		devices.push("No displayable devices");
	}

	this._ctx.devices = devices;
//devices.push(navigator.userAgent);
//devices.push("Default font size " + $('body').css('font-size'));
};

export default RoomStatus;