#!/bin/sh
#
# You can add this script to your cron tab to periodically update the Reactor System entity
# with some Pi-specific measurements.

# Ref: https://www.raspberrypi.org/documentation/raspbian/applications/vcgencmd.md
# System temperature
temp=$( /opt/vc/bin/vcgencmd measure_temp | sed -e "s/^.*=\(.*\)'.*/\\1/" )
curl -s -q -o - "http://127.0.0.1:8111/api/v1/entity/reactor_system>system/attribute/x_reactor_system_extra.sys_temp/set?value=$temp&type=real" >/tmp/rpi-status.log 2>&1
# CPU core voltage (normally 0.85 on my RPI4)
temp=$( /opt/vc/bin/vcgencmd measure_volts core | sed -e "s/^.*=\(.*\)V.*/\\1/" )
curl -s -q -o - "http://127.0.0.1:8111/api/v1/entity/reactor_system>system/attribute/x_reactor_system_extra.sys_volts/set?value=$temp&type=real" >>/tmp/rpi-status.log 2>&1
